/*
 * CalcProvider.java
 *
 * Created on 6. Mai 2004, 00:25
 */

package Control;

import util.*;

/**
 *
 * @author  Vitus
 */
public interface ICalcProvider {
    
    public static final int IMPLICIT_TIMEOUT = 5000;
    
    void begin(java.util.List waitingPieces);
    boolean tick();
    void stop();
    void kill();
    String getName();
    void setCalcPerformedListener(ICalcPerformedListener icpl);
    void setServerNumberLabel(javax.swing.JLabel nl);
}
