/** Start up class.
 *  Only parses the commandline and instantiates dfrac.
 *
 */

import Control.*;
import util.*;
import java.util.*;

public abstract class run{
    /** Help String */
    private static final String mstrHelp =
    "Usage: java -jar DFrac.jar [options] [files]\n\n"+
    "where options include:-h,--help\tdisplays this help";

    /** main method to start the application
     *  @param args - String Array with arguments */
    public static void main(String[] args) {
        int i;

        if (args.length > 0){

            for (i=0;i<args.length;i++){
                if (args[i].equals("-l")){
                    DFracLog.setLogLevel(Integer.parseInt(args[i+1]));
                    i++;
                    //System.out.println("LogLevel set to "+Integer.parseInt(args[i]));
                }
                //else if()
            }

            Arrays.sort(args);
            if ( (Arrays.binarySearch(args,"-h")>=0) ||
            (Arrays.binarySearch(args,"--help")) >=0 ){
                //only print the help text and exit
                System.out.println(mstrHelp);
                System.exit(0);
            }
        }
        else DFracLog.setLogLevel(1);
         //start dfrac
        ClDFrac dfrac_main = new ClDFrac(args);
    }
}
