/*
 * ClTimer.java
 *
 * Created on April 26, 2004, 9:03 PM
 */

package util;

public class ClTimer {
    
    protected boolean mbTimerIsRunning=false;
    
    protected long mlStartTime=0;
    
    /** Creates a new instance of ClTimer */
    public ClTimer() {}
    
    public void start(){
        mlStartTime=System.currentTimeMillis();
        mbTimerIsRunning=true;
    }
    
    public boolean isRunning(){
        return mbTimerIsRunning;
    }
    
    public void restart(){
        mlStartTime=System.currentTimeMillis();
        mbTimerIsRunning=true;
    }
    
    public long getElapsedTime(){
        return (System.currentTimeMillis()-mlStartTime);
    }
    
    public long stop(){
        long lStopTime=getElapsedTime();
        mlStartTime=0;
        mbTimerIsRunning=false;
        return lStopTime;
    }
    
    public String toString(){
        return (getElapsedTime()+" Milliseconds");
    }
}
