package net;


import util.*;
import DAL.*;

import java.net.*;
import java.io.*;
import java.util.*;

public class testSocketServer{

	public static void main(String[] args){
		
		try{
			InputStream readFrom;
    			BufferedInputStream buffFrom;
    			ObjectInputStream Inp;
    			ObjectInputStream  moOIS=null;
			
			DFracLog.log(1,"connecting to localhost port 24567...");
		 	Socket s = new Socket("127.0.0.1",24567);
			DFracLog.log(1,"setting up outputstream");
		 	ObjectOutputStream moOOS = new ObjectOutputStream(s.getOutputStream());
			
			DFracLog.log(1,"connected setting up streams");
		 	
		 	for (int i=0;i<8;i++){
				DFracLog.log(1,"connected, sending state request packet..."+i);
			
				moOOS.writeObject(new ClFracPiece());
				Thread.sleep(50);
				
			
				DFracLog.log(1,"send... reading response...");
				if (moOIS==null) moOIS = new ObjectInputStream(s.getInputStream());
      			
				ClFracPiece nFP = (ClFracPiece) moOIS.readObject();
				DFracLog.log(1,"bIsBusy:" +nFP.bIsBusy);
				System.out.println("IsReady:" +nFP.isReady());
				DFracLog.log(1,"Progress:" +nFP.getProgress());
				DFracLog.log(1,"mnMode:" +nFP.mnMode);
				System.out.println("X:" +nFP.getX());
				System.out.println("Y:" +nFP.getY());
			
				Thread.sleep(50);
		}
			
				
				DFracLog.log(1,"sending close packet ");
				
				moOOS.writeObject(new ClFracPiece(IFracPiece.CLOSE));
				moOOS.flush();
				Thread.sleep(1000);
				DFracLog.log(1,"exiting...");
				
			
			
		}catch(Exception e){
			System.out.println("Error..."+e.getMessage());
		}
	}
}
			
			
