/*
 * DFracLog.java
 *
 * Created on 13. Mai 2004, 12:56
 */

package util;

/**
 *
 * @author  Vitus
 */
public final class DFracLog {
    
    public static int LogLevel;
    public static final int ERRORS = 1;
    public static final int WARNINGS = 2;
    public static final int DEBUG = 3;
    public static final int VERBOSE = 4;
    public static final int INSANE = 5;
    public static final String[] LevelStrings = {"Error","Warning","Debug","Verbose","Insane"};
    
    public static final void setLogLevel(int newLevel){
        LogLevel = newLevel;
        System.out.println("LogLevel set to "+LogLevel+" ("+LevelStrings[LogLevel-1]+")");
    }
    
    public final static void log(int level, String logString){
        synchronized (logString.getClass()){
            if (level <= LogLevel)
                System.out.println(LevelStrings[level-1]+"->"+logString);
        }
        
    }
    
    
    
}
